EDIT - task #4338

[MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

08/12/2014 10:39 AM - Andreas Mdiller

Status: In Progress Start date:
Priority: Priority 11 Due date:
Assignee: Andreas Muller % Done: 85%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45
Severity: blocker
Description
[MASTER] Handle abbreviated title and protected cache correctly in TaxEditor
Subtasks:
task # 1404: References cache strategy should always render bibliographic references Rejected
bug # 1815: setinReference needs to reset the title cache Closed
bug # 1924: CIHORIEAE in-references in Footnotes Closed
bug # 2121: Series part is not reflected in cache strategy Closed
bug # 2969: Correct formatting for bibliographic references Closed
bug # 3532: Nomenclatural reference null for database Closed
feature request # 3561: Implement editing for abbreviated title Closed
feature request # 3562: Implement abbreviated title in Dataportal New
feature request # 3667: Implement correct implementation of original spelling in public... Closed
bug # 3737: Protected caches for taxa and names behave inconsistent Closed
feature request # 3764: Improve formatting for reference type Section Resolved
bug # 3872: Title cache is null if the reference is a journal Worksforme
bug # 4773: Lampranthus throws IndexOutOfRange exception Worksforme
bug # 4915: Abbrev title for person should never be orange Closed
bug # 4944: "Protected" indication for references needs to be improved Closed
feature request # 5833: Implement single cache strategy for references Closed
bug # 5834: Show volume etc. for generic references Closed
bug # 6499: Remaining issues to include pages in bibliographic reference titteCaches In Progress
bug # 8681: Fix sect. parsing In Progress
bug # 9405: Fields set to irrelevant for cache should be set by state only Closed
bug # 9529: Correct formatting for bibliographic in-reference separation Closed
task # 9624: Centralize team formatting and fix et al. position handling Closed
bug # 9638: remove trailing full stops from reference titleCaches Closed
feature request # 9639: Replace fullAbbreviatedTitleCache by nomenclaturalTitleCache fo... Closed
task # 9650: Update all titteCaches after upgrade of cache strategies and formatters In Progress
Related issues:
Related to EDIT - task #9604: Split bibliographic reference cache strategy an... Closed
Has duplicate EDIT - bug #6960: Improve reference cachestrategy Duplicate
History
#1 - 09/03/2014 05:51 PM - Andreas Miiller
- Subject changed from Handle abbreviate title correctly in TaxEditor to Handle abbreviated title correctly in TaxEditor
#2 - 09/04/2014 02:11 PM - Andreas Miiller
- Status changed from New to In Progress
#3 - 12/09/2014 02:08 PM - Patrick Plitzner
- Target version deleted (TaxEditor RELEASE 3.4.0)
#4 - 03/23/2015 04:28 PM - Andreas Miiller
- Target version set to TaxEditor RELEASE 3.5.1

Move some Editor tickets to next release

#5 - 05/01/2015 02:41 AM - Andreas Miiller
- Target version deleted (TaxEditor RELEASE 3.5.1)

#6 - 05/28/2015 03:08 PM - Andreas Miiller
- Subject changed from Handle abbreviated title correctly in TaxEditor to [MASTER] Handle abbreviated title correctly in TaxEditor

#7 - 06/04/2015 04:48 PM - Andreas Miiller

- Target version deleted ()

#8 - 06/19/2015 04:19 PM - Andreas Miiller

- Status changed from In Progress to New

#9 - 06/19/2015 04:20 PM - Andreas Miiller
- Target version deleted (Release 3.7)

- Subject changed from [MASTER] Handle abbreviated title correctly in TaxEditor to [MASTER] Handle abbreviated title and protected cache correctly
in TaxEditor

#10 - 05/26/2016 03:39 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.2

#11 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#12 - 09/23/2016 03:35 PM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#13 - 12/01/2016 02:09 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#14 - 01/19/2017 01:36 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#15 - 03/10/2017 08:53 PM - Andreas Miiller
- Description updated

- Status changed from New to In Progress

#16 - 03/17/2017 08:29 AM - Andreas Muller

- Target version changed from Release 4.6 to Release 4.7

#17 - 05/10/2017 06:27 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#18 - 07/06/2017 10:50 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#19 - 07/21/2017 10:13 AM - Andreas Miuiller

- Target version changed from Release 4.9 to Release 4.10

#20 - 09/24/2017 01:25 AM - Andreas Miuller

- Target version changed from Release 4.10 to Release 4.11
#21 - 11/08/2017 11:26 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#22 - 12/05/2017 02:03 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#23 - 01/31/2018 12:50 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#24 - 02/15/2018 03:38 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#25 - 05/17/2018 12:26 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#26 - 06/27/2018 02:30 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#27 - 08/17/2018 04:03 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#28 - 09/06/2018 10:05 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#29 - 10/25/2018 10:54 AM - Andreas Miiller
- Target version changed from Release 5.4 to Release 5.5

- Private changed from Yes to No

#30 - 02/14/2019 10:33 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#31 - 04/12/2019 01:08 PM - Andreas Miiller

- Target version changed from Release 5.6 to Release 5.7

#32 - 05/03/2019 02:57 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#33 - 07/19/2019 03:34 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#34 - 09/18/2019 01:36 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.11

#35 - 11/04/2019 12:38 PM - Andreas Miiller

- Target version changed from Release 5.11 to Release 5.12

#36 - 01/15/2020 01:31 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#37 - 03/21/2020 01:02 PM - Andreas Miiller

- Target version changed from Release 5.13 to Release 5.14

#38 - 04/08/2020 03:42 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#39 - 06/23/2020 01:47 PM - Andreas Miiller
- Target version changed from Release 5.15 to Release 5.18

#40 - 12/03/2020 06:02 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19

#41 - 01/27/2021 04:10 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#42 - 03/10/2021 02:34 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#43 - 04/16/2021 10:23 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.25

#44 - 05/03/2021 11:20 PM - Andreas Miiller

- Related to task #9604: Split bibliographic reference cache strategy and nomenclatural formatter + orginal source formatter added

#45 - 05/15/2021 01:19 AM - Andreas Miiller
- Tags changed from review2014-07-12 to review2014-07-12, formatting

#46 - 05/15/2021 02:19 AM - Andreas Miiller
- Has duplicate bug #6960: Improve reference cachestrategy added

#47 - 07/07/2021 03:26 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

04/19/2024 4/4


http://www.tcpdf.org

